<div>
    <jhi-alert></jhi-alert>
    <div>
        <h2>
            <span>Kas </span>
        </h2>
        <div class="ui-g-12">
            <button class="btn btn-primary float-right" [routerLink]="['/payment-fin-bp']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Bank Payment
                </span>
            </button>
        </div>
        <div class="ui-g-12">
            <button class="btn btn-success float-right" [routerLink]="['/payment-fin-br']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Bank Receipt
                </span>
            </button>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.payment.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br>
    <p-dataTable [value]="jurnals" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpay" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected" [sortField]="sortF"
        (onSort)="changeSort($event)">
        <p-header>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Jenis Transaksi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.jenistrans}}
            </ng-template>
        </p-column>
        <p-column header="Kode Bank">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kodebank}}
            </ng-template>
        </p-column>
        <p-column header="No Bukti">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nobukti}}
            </ng-template>
        </p-column>
        <p-column header="Debet">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.debet}}
            </ng-template>
        </p-column>
        <p-column header="kredit">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kredit}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Buat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tanggal | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Aksi">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.jenistrans === 'BP'">
                    <button pButton type="button" [routerLink]="['../payment-fin-bp/' + rowData.nobukti + '/true']"
                        icon="fa-eye" class="flat-button" pTooltip="Lihat Kas"
                        *jhiHasAnyAuthority="[ 'ROLE_USER']">
                    </button>
                    <button pButton type="button" [routerLink]="['../payment-fin-bp/' + rowData.nobukti + '/false']"
                        icon="fa-pencil" class="flat-button" pTooltip="Edit Kas"
                        *jhiHasAnyAuthority="['ROLE_USER']">
                    </button>
                </div>
                <div *ngIf="rowData.jenistrans === 'BR'">
                    <button pButton type="button" [routerLink]="['../payment-fin-br/' + rowData.id + '/true']"
                        icon="fa-eye" class="flat-button" pTooltip="Lihat Kas"
                        *jhiHasAnyAuthority="[ 'ROLE_USER']">
                    </button>
                    <button pButton type="button" [routerLink]="['../payment-fin-br/' + rowData.id + '/false']"
                        icon="fa-pencil" class="flat-button" pTooltip="Edit Kas"
                        *jhiHasAnyAuthority="['ROLE_USER']">
                    </button>
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>

<!-- <p-confirmDialog></p-confirmDialog> -->